- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/enable#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/enable#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/enable#body.request_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/enable#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/enable#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/enable#body.EnableInsightsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/enable#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/enable#try-it)

Enables insights for the customer and sets up required chrome connectors.

### HTTP request

`POST https://chromemanagement.googleapis.com/v1/{customer=customers/*}/enterprise/securityInsights:enable`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer to enable insights for. Format: customers/{customer} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "targetOus": [ string ] } ``` |

| Fields ||
|---|---|
| `targetOus[]` | `string` Optional. The Organizational Units to set up required connectors for. Organizational Units are provided as paths relative to root. If this field is not set, connectors will be set up at root OU (as if it were set to \["/"\]). Example: \["/corp/sales", "/eng"\] |

### Response body

Response from enabling insights for the customer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "insightsState": enum (`https://developers.google.com/chrome/management/reference/rest/v1/InsightsEnablementState`) } ``` |

| Fields ||
|---|---|
| `insightsState` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/InsightsEnablementState`)`` The state of the insights feature. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.securityinsights`